from socket import socket, AF_INET, SOCK_STREAM
from contextlib import closing
import sys

hostname, port = sys.argv[1], int(sys.argv[2])

message_left = sys.stdin.buffer.read()
nbytes_left = len(message_left)

s = socket(AF_INET, SOCK_STREAM)
s.connect((hostname, port))

with closing(s):
    while nbytes_left:
        nbytes_sent = s.send(message_left)
        if nbytes_sent == 0:
            print('Socket dead.')
            break
        else:
            print('bytes sent:', nbytes_sent)
        message_left = message_left[nbytes_sent:]
        nbytes_left -= nbytes_sent
