import socket
import sockmsg
import sys
from contextlib import nested, closing

hostname, port = sys.argv[1], int(sys.argv[2])

acceptor_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
acceptor_socket.bind((hostname, port))
acceptor_socket.listen(1)
client_socket, client_address = acceptor_socket.accept()

with nested(closing(acceptor_socket), closing(client_socket)):
    while True:
        print(repr(sockmsg.IncomingJson().recv(client_socket)))
